<ion-item-sliding *ngIf=isMobile>
  <ion-item lines="full" class="ion-no-padding">

    <app-vertical-color-bar [color]=entry.categoryColor></app-vertical-color-bar>

    <ion-label>
      <ion-text>
        {{ entry.title }}
      </ion-text>

      <app-tiny-chip color="{{ entry.categoryColor ?? '#AAAAAA'}}" [outline]=true [icon]=entry.categoryIcon>
        {{ entry.categoryName }}
      </app-tiny-chip>
    </ion-label>



    <ion-label slot=end class="ion-no-margin" *ngIf="platform?.width() > 600" [style.max-width]="'90px'">
      <p class="ion-text-right" [style.font-size]="'12px'" [style.max-width]="'90px'">
        <ion-icon name="calendar"></ion-icon> {{entry.date}}
      </p>
    </ion-label>

    <div slot=end [style.width]="'100px'" class="ion-no-margin">
      <app-amount-number-display [amount]=entry.amount></app-amount-number-display>
    </div>

  </ion-item>
  <ion-item-options side="start" id="deleteButton_{{entry.id}}">
    <ion-item-option (click)="deleteEntry();" color="danger">
      <ion-icon name="trash" slot="start"></ion-icon> Delete
    </ion-item-option>
  </ion-item-options>
  <ion-item-options side="end" id="detailsButton_{{entry.id}}">
    <ion-item-option (click)="showDetails();">
      <ion-icon name="information-circle" slot="start"></ion-icon>Details
    </ion-item-option>
  </ion-item-options>
</ion-item-sliding>


<ion-item class="noLeftPad" *ngIf=!isMobile>

  <app-vertical-color-bar [color]=entry.categoryColor></app-vertical-color-bar>

  <ion-label>
    <ion-text>
      {{ entry.title }}
    </ion-text>

    <app-tiny-chip color="{{ entry.categoryColor ?? '#AAAAAA'}}" [outline]=true [icon]=entry.categoryIcon>
      {{ entry.categoryName }}
    </app-tiny-chip>
  </ion-label>



  <ion-label slot=end class="ion-no-margin" *ngIf="platform?.width() > 600" [style.max-width]="'90px'" [style.margin-right]="'10px'">
    <p class="ion-text-right" [style.max-width]="'100px'">
      <ion-icon name="calendar"></ion-icon> {{entry.date}}
    </p>

  </ion-label>

  <div slot=end [style.width]="'100px'" class="ion-no-margin">
    <app-amount-number-display [amount]=entry.amount></app-amount-number-display>
  </div>

  <ion-button #deleteButton *ngIf="(long ?? false) && platform?.width() > 700" id="deleteButton_{{entry.id}}"
    slot="end" color="danger" (click)="deleteEntry();">
    <ion-icon name="trash" slot="start"></ion-icon>Delete
  </ion-button>
  <ion-button #detailsButton id="detailsButton_{{entry.id}}" slot="end" (click)="showDetails();">
    <ion-icon name="information-circle" slot="start"></ion-icon>Details
  </ion-button>
</ion-item>
